Subject: Re: [weirds] Comments on draft-ietf-weirds-rdap-query-00

From: "Hollenbeck, Scott" <[email-masked]>
Date: Mon, 1 Oct 2012 12:41:21 +0000

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Andy Newton
> Sent: Friday, September 28, 2012 12:10 PM
> To: SM; [email-masked]
> Subject: Re: [weirds] Comments on draft-ietf-weirds-rdap-query-00
> 
> Thanks SM. By my count your tab for Atlanta is now pre-populated with
> three beers.
> 
> 
> On 9/28/12 11:00 AM, "SM" <[email-masked]> wrote:
> 
> >The RFC 2119 boilerplate is missing.  There is a long list of
> normative
> >references.  Could the list be pruned to what is really needed?
> 
> We can take a look at the reference list.
> 
> As for 2119 language, there is only one "MUST" in the document (outside
> of boilerplate). We can take that out or convert to 2119 language.

Somehow we lost the "Conventions Used in this Document" section. I'll add it back. We might have only one MUST in the document now, but that will surely change in the future.

I'm pretty comfortable with all of the normative references as-is. Each is cited appropriately. If you think otherwise please identify specific references that you think should be omitted.

> >I don't see any mention of user identification, authentication and
> >access control in the draft.  If that is being addressed in another
> >draft, I suggest having a pointer to the draft for now.
> 
> Yes, that would be the rdap-sec draft.

As Andy noted, we're going to cover the specifics in rdap-sec. Once we know what needs to be done we'll add appropriate reference text to rdap-query.

I don't have anything to add to Andy's other responses.

Scott